> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Labels By Tracking Number

> Get shipping labels by tracking number.



## OpenAPI

````yaml /openapi/openapi_shipping_storefront.json post /commerce/catalog/storefront/shipping/get-labels
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo ShippingRuntime Service
  title: Shipping Storefront
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/storefront/shipping/get-labels:
    post:
      tags:
        - Shipping
      summary: Get Labels By Tracking Number
      description: Get shipping labels by tracking number.
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LabelRequest'
        description: ''
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LabelResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/LabelResponse'
            text/plain:
              schema:
                $ref: '#/components/schemas/LabelResponse'
          description: OK
components:
  schemas:
    LabelRequest:
      properties:
        carrierId:
          nullable: true
          type: string
        labelFormat:
          nullable: true
          type: string
        packageTrackingNumber:
          nullable: true
          type: string
        trackingNumber:
          nullable: true
          type: string
      type: object
    LabelResponse:
      properties:
        packageLabels:
          items:
            $ref: '#/components/schemas/PackageLabelResponse'
          nullable: true
          type: array
        trackingNumber:
          nullable: true
          type: string
      type: object
    PackageLabelResponse:
      properties:
        label:
          $ref: '#/components/schemas/ShippingLabel'
        trackingNumber:
          nullable: true
          type: string
      type: object
    ShippingLabel:
      properties:
        imageData:
          format: byte
          nullable: true
          type: string
        imageFormat:
          nullable: true
          type: string
        labelUrl:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````